//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop
//---------------------------------------------------------------------------
USERES("Setup.res");
USEFORM("SetupDlg.cpp", SetupForm);
USEFORM("UninstDlg.cpp", UninstWiz);
USEFORM("WaitDlg.cpp", WaitForm);
USEFORM("DirBrow.cpp", BrowseDlg);
USEUNIT("Console.cpp");
USEUNIT("FileMan1.cpp");
USEUNIT("HeadMan.cpp");
USEUNIT("Global.cpp");
USEUNIT("QSsetupVer.cpp");
//---------------------------------------------------------------------------
WINAPI WinMain(HINSTANCE, HINSTANCE, LPSTR, int)
{
  try
  {
     Application->Initialize();
     if (ExtractFileName(Application->ExeName).LowerCase()=="setup.exe" &&
         ParamStr(1).LowerCase()!="-u")
     {
        Application->CreateForm(__classid(TSetupForm), &SetupForm);
        Application->Title = "QuickSilver Setup";
     }
     else
     {
        Application->CreateForm(__classid(TUninstWiz), &UninstWiz);
        Application->Title = "QuickSilver Un-Install";
     }
      Application->Run();
  }
  catch (Exception &exception)
  {
     Application->ShowException(&exception);
  }
  return 0;
}
//---------------------------------------------------------------------------
