//---------------------------------------------------------------------------
#ifndef ClipReplyH
#define ClipReplyH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
//---------------------------------------------------------------------------
void __fastcall ClipboardReply(bool UseDialog);
void __fastcall ReplyToMessage(TStrings *Message, AnsiString &TemplateName,
   AnsiString &InReplyTo);
void __fastcall ClipboardFollowup(bool UseDialog);
void __fastcall FollowupArticle(TStrings *Article, AnsiString &TemplateName);

AnsiString __fastcall GetMergeMessage(AnsiString &Caption, int mode);

const int modeMessage = 0;
const int modeArticle = 1;

class TMergeForm : public TForm
{
__published:	// IDE-managed Components
  TButton *OkBtn;
  TButton *CancelBtn;
  TPanel *Panel1;
  TLabel *Label1;
  TListBox *ListBox1;
  void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
  void __fastcall FormDestroy(TObject *Sender);

  void __fastcall ListBox1DblClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
  TStringList *Templates;
  AnsiString TemplateName;
  __fastcall TMergeForm(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern TMergeForm *MergeForm;
//---------------------------------------------------------------------------
#endif
