//---------------------------------------------------------------------------
#ifndef ConsoleWinH
#define ConsoleWinH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ComCtrls.hpp>
#include <vcl\ExtCtrls.hpp>
//---------------------------------------------------------------------------
int __fastcall RunConsoleApp(TForm *Owner, const AnsiString &Cmdline);

class TConsoleApp
{
private:
   WORD showcmd;
   AnsiString cmdline;
   bool __fastcall readfile(HANDLE hReadPipe);
public:
   bool timeout;
   bool exitproc;
   TStrings *output;
   AnsiString errorstr;
   DWORD exitcode,exitwait;
   __fastcall TConsoleApp(const AnsiString &Cmdline, TStrings *Output, WORD ShowCmd);
   __fastcall ~TConsoleApp();
   void __fastcall Run();
};

class TConsole : public TForm
{
__published: // IDE-managed Components
	TPanel *Panel;
	TRichEdit *Display;
	TTimer *Timer1;
	void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
	void __fastcall Timer1Timer(TObject *Sender);
	void __fastcall FormDestroy(TObject *Sender);
	void __fastcall FormShow(TObject *Sender);
private:     // User declarations
public:		 // User declarations
    bool working;
    TConsoleApp *consoleapp;
	virtual __fastcall TConsole(TComponent* Owner);
	virtual __fastcall TConsole(TComponent* Owner, const AnsiString &CmdLine, WORD ShowCmd);
    int __fastcall Run();
};

//---------------------------------------------------------------------------
extern TConsole *Console;
//---------------------------------------------------------------------------
#endif
