//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

#include "NNameDlg.h"
#include "FileMan.h"
#include "Global.h"
//---------------------------------------------------------------------------
#pragma resource "*.dfm"
TNewNameDlg *NewNameDlg;
//---------------------------------------------------------------------------
AnsiString __fastcall GetNewItemName(AnsiString &Currentname, AnsiString &Caption,
   AnsiString &DataPath)
{
   AnsiString NewItemName;
   NewNameDlg = new TNewNameDlg(Application->MainForm);
   NewNameDlg->mode = modeNewItem;
   NewNameDlg->OriginalName = Currentname;
   NewNameDlg->Name->Text = Currentname;
   NewNameDlg->DataPath = DataPath;
   NewNameDlg->Caption = Caption;
   NewNameDlg->Name->SelectAll();
   NewNameDlg->ShowModal();
   if (NewNameDlg->ModalResult == mrOk)
   {
      NewItemName = NewNameDlg->Name->Text;
   }
   delete NewNameDlg;
   return NewItemName;
}
//---------------------------------------------------------------------------
AnsiString __fastcall GetNewMailboxName()
{
   AnsiString BoxName;
   NewNameDlg = new TNewNameDlg(Application->MainForm);
   NewNameDlg->mode = modeNewMailbox;
   NewNameDlg->Caption = "Create New Mailbox";
   NewNameDlg->Label1->Caption = "Enter name :";
   NewNameDlg->ShowModal();
   if (NewNameDlg->ModalResult == mrOk)
   {
      BoxName = NewNameDlg->Name->Text;
   }
   delete NewNameDlg;
   return BoxName;
}
//---------------------------------------------------------------------------
__fastcall TNewNameDlg::TNewNameDlg(TComponent* Owner)
	: TForm(Owner)
{
   // Center in Main Window
   TForm *Main = Application->MainForm;
   Top = Main->Top+((Main->Height-Height)/2);
   Left = Main->Left+((Main->Width-Width)/2);
   // initialize
}
//---------------------------------------------------------------------------
void __fastcall TNewNameDlg::FormCloseQuery(TObject *Sender, bool &CanClose)
{
   if (ModalResult==mrCancel) return;

   if (Name->Text.IsEmpty())
   {
      MyBeep(MB_OK); CanClose = false;
      return;
   }

   TStringList *names = new TStringList();
   if (mode==modeNewMailbox)
   {
      GetAppData(names,UserMailboxes);
      for (int i=0; i<names->Count; i++)
         if (names->Strings[i]==Name->Text)
         {
            MsgBoxHwnd(Handle,"The mailbox \""+Name->Text+"\" already exists!",
               "Duplicate Name",MB_OK);
            Name->Clear();
            ActiveControl = Name;
            CanClose = false;
            break;
         }
   }
   else
   if (Name->Text!=OriginalName)
   {
      GetAppData(names,DataPath);
      for (int i=0; i<names->Count; i++)
         if (names->Strings[i]==Name->Text)
         {
            MsgBoxHwnd(Handle,"The name \""+Name->Text+"\" already exists!",
               "Duplicate Name",MB_OK);

            Name->Text = OriginalName;
            Name->SelectAll();
            CanClose = false;
            break;
         }
   }
   delete names;
}
//---------------------------------------------------------------------------
void __fastcall TNewNameDlg::FormKeyPress(TObject *Sender, char &Key)
{
   if (Key==PS[1])
   {
      MyBeep(MB_OK);
      Key = '\0';
   }
}
//---------------------------------------------------------------------------