//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

#include "PgpFiles.h"
#include "mixmaster.h"
#include "Global.h"
//---------------------------------------------------------------------------
AnsiString __fastcall PgpDir()
{
   AnsiString path=getenv("PGPPATH");
   if (path.IsEmpty()) path = GetCurrentDir();
   if (path.Length() && path[path.Length()]!='\\') path += "\\";
   return path;
}
//---------------------------------------------------------------------------
AnsiString __fastcall PgpPublicRing()
{
   AnsiString name=PgpDir()+"pubring.pgp";
   if (!FileExists(name)) name = PgpDir()+"pubring.pubkr";
   if (!FileExists(name)) name = PgpDir()+"pubring.pkr";
   if (!FileExists(name)) name = "";
   return name;
}
//---------------------------------------------------------------------------
AnsiString __fastcall PgpSecretRing()
{
   AnsiString name=PgpDir()+"secring.pgp";
   if (!FileExists(name)) name = PgpDir()+"secring.skr";
   if (!FileExists(name)) name = "";
   return name;
}
//---------------------------------------------------------------------------
AnsiString __fastcall PgpRemailRing()
{
   AnsiString remring=MixDir()+CRingTxt;
   if (!FileExists(remring)) remring = "";
   return remring;
}
//---------------------------------------------------------------------------
